static int sel_page=0;

int
kgi_graphics_ioctl (struct inode *inode, struct file *file, unsigned int cmd,
		   unsigned long arg)
{
  switch(cmd)
  { case GRAPHICS_DRAWPIXEL:
#if 0	/* 1=SLOW */
	{  struct ggi_coord *h = (void*) _io_buf;
	   unsigned offset = h->x + h->y*current_mode.virtual.x;
	   int col=0x12345678;

	    switch(current_mode.graphtype)
	     {
	       case GT_8BIT:	((char*) fb_graphics)[offset] = (char) col;
				return EOK;
			
	       case GT_15BIT:
	       case GT_16BIT:	((short *) fb_graphics)[offset] = (short) col;
				return EOK;

	       case GT_32BIT:	((int *) fb_graphics)[offset] = (int) col;
				return EOK;
	       default:		printk("DUNNO MYSELF ... ???");
	     }
	  } break;
#else
	     return -ENODRVSUP_ALWAYS_MMAP;
#endif
    case GRAPHICS_SET16COL:
	outbGRC((*(int *)_io_buf)& 3,4);       /* Read Map select */
	outbGRC((*(int *)_io_buf)&15,0);       /* Color select */
	return EOK;
    case GRAPHICS_SETPAGE: 
    	sel_page=*((int *)_io_buf);
	kgi_unmap_all();
	return EOK;
    default: return -ENODRVSUP_ALWAYS_MMAP;
    /* for functions that will probably fallback to something accelerated,
       you should return ALWAYS_LOWER instead */
  }
  return -ENODRVSUP_ALWAYS_CANT;	/* This driver can't do this. */
}
